import 'package:http/http.dart';
import 'dart:convert';
import '../common/debug.dart';

class LeancloudResponse {

  LeancloudResponse({this.response});

  HttpStatus get status {
    if (response.statusCode == 200) {
      Debug.log('RESPONSE => ok');
      return HttpStatus.ok;
    } else {
      Debug.log('RESPONSE => failed');
      return HttpStatus.failed;
    }
  }

  Response response;

  /// Get json object
  Map get jsonResult {
    return json.decode(response.body);
  }

  /// Get json body
  String get body => response.body;

}

enum HttpStatus {
  ok,
  failed
}