
/// Constraint for search
class Constraint {

  /// private property for constraints
  Map<String, String> _constraints = {};

  /// set limit number
  void setLimit(int limitNumber) {
    this._constraints.addAll({"limit": limitNumber.toString()});
  }

  /// set skip number
  void setSkip(int skipNumber) {
    this._constraints.addAll({"skip": skipNumber.toString()});
  }

  /// set Ascending order or Descending order
  /// example:
  ///   createdAt       (Ascending)
  ///   -createdAt      (Descending)
  ///   createdAt,-updateAt      (createdAt Ascending, updateAt Descending)
  void setOrder(String order) {
    this._constraints.addAll({"order": order});
  }

  /// get constraint [Map] for request
  Map getConstraint() {
    return _constraints;
  }
}