class DefaultValue {
  /// Api Version
  static String apiVersion = '/1.1';
  /// className for replace [UrlValue]
  static String classNameForReplace = '<className>';
  /// objectId for replace [UrlValue]
  static String objectIdForReplace = '<objectId>';
  /// smsCode for replace [UrlValue]
  static String smsCodeForReplace = '<code>';
  /// functionName for replace [UrlValue]
  static String functionNameForReplace = 'functionName';

  /// url Address for CN
  static String urlAddressCN = "api.leancloud.cn";
}

class UrlValue {
  /// 创建对象 <POST>
  static String objectCreate = '/classes/<className>';
  /// 获取对象 <GET>
  static String objectGetById = '/classes/<className>/<objectId>';
  /// 更新对象 <PUT>
  static String objectUpdateById = '/classes/<className>/<objectId>';
  /// 查询对象 <GET>
  static String objectGet = '/classes/<className>';
  /// 使用 CQL 查询对象 <GET>
  static String objectCqlGet = '/cloudQuery';
  /// 删除对象 <DELETE>
  static String objectDeleteById = '/classes/<className>/<objectId>';
  /// 按照特定顺序遍历 Class <GET>
  static String objectScan = '/scan/classes/<className>';

  /// 用户注册/用户连接 <POST>
  static String usersSignUp = '/users';
  /// 使用手机号码注册或登录 <POST>
  static String usersByMobilePhone = '/usersByMobilePhone';
  /// 用户登录 <POST>
  static String usersLogin = '/login';
  /// 获取用户	<GET>
  static String usersGetById = '/users/<objectId>';
  /// 根据 sessionToken 获取用户信息 <GET>
  static String usersMe = '/users/me';
  /// 重置用户 sessionToken <PUT>
  static String usersRefreshSessionTokenById = '/users/<objectId>/refreshSessionToken';
  /// 更新密码，要求输入旧密码 <PUT>
  static String usersUpdatePasswordById = '/users/<objectId>/updatePassword';
  /// 更新用户/用户连接/验证Email <PUT>
  static String usersUpdateById = '/users/<objectId>';
  /// 查询用户 <GET>
  static String usersGet = '/users';
  /// 删除用户 <DELETE>
  static String usersDeleteById = '/users/<objectId>';
  /// 请求密码重设 <POST>
  static String usersRequestPasswordReset	= '/requestPasswordReset';
  /// 请求验证用户邮箱 <POST>
  static String usersRequestEmailVerify	= '/requestEmailVerify';
  /// 请求发送用户手机号码验证短信 <POST>
  static String usersRequestMobilePhoneVerify	= '/requestMobilePhoneVerify';
  /// 使用"验证码"验证用户手机号码 <POST>
  static String usersVerifyMobilePhone = '/verifyMobilePhone/<code>';
  /// 请求发送手机号码登录短信 <POST>
  static String usersRequestLoginSmsCode = '/requestLoginSmsCode';
  /// 请求发送手机短信验证码重置用户密码 <POST>
  static String usersRequestPasswordResetBySmsCode = '/requestPasswordResetBySmsCode';
  /// 验证手机短信验证码并重置密码 <PUT>
  static String usersResetPasswordBySmsCode = '/resetPasswordBySmsCode/<code>';

  /// 创建角色 <POST>
  static String rolesCreate = '/roles';
  /// 获取角色 <GET>
  static String rolesGetById = '/roles/<objectId>';
  /// 更新角色 <PUT>
  static String rolesUpdateById	= '/roles/<objectId>';
  /// 查询角色 <GET>
  static String rolesGet = '/roles';
  /// 删除角色 <DELETE>
  static String rolesDeleteById = '/roles/<objectId>';

  /// 推送通知 <POST>
  static String push = '/push';

  /// 上传安装数据 <POST>
  static String installations	= '/installations';
  /// 获取安装数据 <GET>
  static String installationsGetById = '/installations/<objectId>';
  /// PUT	更新安装数据
  static String installationsUpdateById = '/installations/<objectId>';
  /// GET	查询安装数据
  static String installationsGet = '/installations';
  /// DELETE	删除安装数据
  static String installationsDeleteById = '/installations/<objectId>';

  /// GET	获取应用的所有 Class 的 Schema
  static String schemasGet = '/schemas';
  /// POST	获取应用指定的 Class 的 Schema
  static String schemasGetByClassName= '/schemas/<className>';

  /// POST	调用云函数
  static String functionsByFunctionName = '/functions/<functionName>';
  /// POST	调用云函数，支持 AVObject 作为参数和结果
  static String callByFunctionName = '/call/<functionName>';

  /// POST	提交新的用户反馈
  static String feedback = '/feedback';

  /// GET	获取应用的基本信息
  static String statsAppInfo = '/stats/appinfo';
  /// GET	获取应用的具体统计数据
  static String statsAppMetrics = '/stats/appmetrics';

  /// GET	获得应用聊天记录
  static String rtmMessageGet ='/rtm/messages/logs';
  /// POST	通过 API 向用户发消息
  static String rtmMessageSend ='/rtm/messages';
  /// GET	获取暂态对话（聊天室）的在线人数
  static String rtmGroupOnlineNumbers = '/rtm/transient_group/onlines';

  /// GET	获得服务端当前时间
  static String dateGet = '/date';
  /// POST	请求导出应用数据
  static String exportData = '/exportData';
  /// GET	获取导出数据任务状态和结果
  static String exportDataById = '/exportData/<objectId>';
}